## uktrainplanner 0.1

=== Makefile ===
#############################################################################
# Makefile for building: build/uktrainplanner
# Generated by qmake (2.01a) (Qt 4.5.3) on: Tue Apr 6 00:26:30 2010
# Project:  uktrainplanner.pro
# Template: app
# Command: /home/stewart/qt/.madde/0.6.14/targets/fremantle-qt-0951/bin/qmake -unix -o Makefile uktrainplanner.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtCore -I/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtNetwork -I/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtGui -I/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtXml -I/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4/QtXmlPatterns -I/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/include/qt4 -Ibuild -Ibuild
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib -Wl,-rpath-link=/usr/lib -lQtXmlPatterns -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/stewart/qt/.madde/0.6.14/targets/fremantle-qt-0951/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/qtmain.cpp \
		src/chooser.cpp \
		src/departureboard.cpp \
		src/departurewidget.cpp \
		src/favouritestations.cpp \
		src/progressdialog.cpp \
		src/servicewindow.cpp \
		src/settings.cpp \
		src/stationchooser.cpp build/moc_chooser.cpp \
		build/moc_departureboard.cpp \
		build/moc_departurewidget.cpp \
		build/moc_favouritestations.cpp \
		build/moc_progressdialog.cpp \
		build/moc_servicewindow.cpp \
		build/moc_settings.cpp \
		build/moc_stationchooser.cpp \
		qrc_icons.cpp \
		qrc_stations.cpp
OBJECTS       = build/qtmain.o \
		build/chooser.o \
		build/departureboard.o \
		build/departurewidget.o \
		build/favouritestations.o \
		build/progressdialog.o \
		build/servicewindow.o \
		build/settings.o \
		build/stationchooser.o \
		build/moc_chooser.o \
		build/moc_departureboard.o \
		build/moc_departurewidget.o \
		build/moc_favouritestations.o \
		build/moc_progressdialog.o \
		build/moc_servicewindow.o \
		build/moc_settings.o \
		build/moc_stationchooser.o \
		build/qrc_icons.o \
		build/qrc_stations.o
DIST          = /home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/g++.conf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/unix.conf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/linux.conf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/qconfig.pri \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_config.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_pre.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/debug.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_post.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/warn_on.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/moc.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/resources.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/uic.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/yacc.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/lex.prf \
		uktrainplanner.pro
QMAKE_TARGET  = uktrainplanner
DESTDIR       = build/
TARGET        = build/uktrainplanner

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_chooser.h build/ui_stationchooser.h build/ui_progressdialog.h build/ui_favouritestations.h build/ui_departureboard.h build/ui_settings.h build/ui_servicewindow.h build/ui_departurewidget.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: uktrainplanner.pro  /home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/g++.conf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/unix.conf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/linux.conf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/qconfig.pri \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_config.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_pre.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/debug.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_post.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/warn_on.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/moc.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/resources.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/uic.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/yacc.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/lex.prf \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib/libQtXmlPatterns.prl \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib/libQtXml.prl \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib/libQtGui.prl \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib/libQtNetwork.prl \
		/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile uktrainplanner.pro
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/g++.conf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/unix.conf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/common/linux.conf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/qconfig.pri:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_functions.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt_config.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_pre.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/debug.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/default_post.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/warn_on.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/qt.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/unix/thread.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/moc.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/resources.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/uic.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/yacc.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/share/qt4/mkspecs/features/lex.prf:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib/libQtXmlPatterns.prl:
/home/stewart/qt/.madde/0.6.14/sysroots/fremantle-arm-sysroot-2.2009-51-1-qt453/usr/lib/libQtXml.prl:

=== debian/changelog ===
uktrainplanner (0.1) unstable; urgency=low

  * Initial Release.

 -- Stewart Holmes <stewart@unknown>  Mon, 05 Apr 2010 23:46:50 +0100

=== debian/control ===
Source: uktrainplanner
Section: user/navigation
Priority: extra
Maintainer: Stewart Holmes <stewart@unknown>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), libgconf2-dev
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: uktrainplanner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 uktrainplanner/src/data/48x48/uktrainplanner.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBGQ0SFuv48p0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAACp0lEQVRo3u2Yz0tVURDHv08dK4r2GUmWELSI
 sMCCSHdluS0QIWtXVIt20Z/QPm1R0D5a92OnRAqKllRkP6BFEQhZSIr1wffazIXD9d5nT6+ZdL4w
 3HNn7vnOmTk/3rwjRUREREQUCeA8UHHpK4Av4eoJdD2Jfi0CGA6cPiswgA+AAY3eLiSAupSzA5KO
 SHoh6bWko64LB5LIG6BtOVuATZIuujRWCbQCLACjwLEc/hngcla2+oFpoBnYD8wBt1IkJ4Aub4/X
 YOtz7mngXN4MAPXAIbe/T3GcAfZ5e1aSSkHHbZI+S9qe4pyV1CTpR5DJkqQFSZhZYzCQarZ6SWOS
 KpIOSypLkpmV3P8VSdckNUtq8D4VM6sLOBrMbDF5N7NSQzDQHh/8kJl1OOmgpONuS9ARLL1XqWBz
 bWZWltQWJCyd/JuStkg66M/hMMHOsVhts4351PQGul7XjWWsw6kqe2CJLW/NB+/Xga9prpxvaz8A
 qnVasyOx1lMoIiJi5Rt5vRA38YZdQsBO4D7wLaXfAzz0OmoOeAS01FSU/aUAnvr7VaAx+GYko7Ab
 Wa4oWylKtQaQFFHAL0kmaauZzQff4MVYtcJuSVG2Hpt41J8XAAv040Fh1+ntiT8uyv7iEtoFPAC+
 p/StwGNg3uUJsLewoiwiIiJiQ5UONzKOvi5g3O9uFoAJoPuf8+MEnzKIZ1zXFtzfzKxi8KvyU5dD
 2irpnqSzGeZ3/iwndzuSpjI4brvT00C3tweK9pOXlZfApZxfzxbgbeoKZXcGhwFDwBeXwVTJUYif
 5S5ks+5oJjOmdjKHpz3o374WfjKXkJmVEgl13mwKpjbJ2I6MwW2WNCDpo0u/6wr1U/P/YOAU8Bz4
 6TIBnMzodxcoA50uZeBO0X4iIiIiIv5v/AZU3LjyjeB2pwAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := uktrainplanner
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## uktrainplanner 0.1.1

=== Makefile ===
#############################################################################
# Makefile for building: build/uktrainplanner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jun 7 13:35:18 2010
# Project:  uktrainplanner.pro
# Template: app
# Command: /home/stewart/.madde/0.6.72/targets/fremantle-pr12/bin/qmake -unix -o Makefile uktrainplanner.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_DBUS_LIB -DQT_XMLPATTERNS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtCore -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtNetwork -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtGui -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtXml -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtXmlPatterns -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include/QtDBus -I/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/include -Ibuild -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib -L/usr/lib -lQtXmlPatterns -lQtGui -L/usr/X11R6/lib -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/stewart/.madde/0.6.72/targets/fremantle-pr12/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = src/qtmain.cpp \
		src/chooser.cpp \
		src/departureboard.cpp \
		src/departurewidget.cpp \
		src/favouritestations.cpp \
		src/servicewindow.cpp \
		src/stationchooser.cpp build/moc_chooser.cpp \
		build/moc_departureboard.cpp \
		build/moc_departurewidget.cpp \
		build/moc_favouritestations.cpp \
		build/moc_servicewindow.cpp \
		build/moc_stationchooser.cpp \
		qrc_icons.cpp \
		qrc_stations.cpp
OBJECTS       = build/qtmain.o \
		build/chooser.o \
		build/departureboard.o \
		build/departurewidget.o \
		build/favouritestations.o \
		build/servicewindow.o \
		build/stationchooser.o \
		build/moc_chooser.o \
		build/moc_departureboard.o \
		build/moc_departurewidget.o \
		build/moc_favouritestations.o \
		build/moc_servicewindow.o \
		build/moc_stationchooser.o \
		build/qrc_icons.o \
		build/qrc_stations.o
DIST          = /home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		uktrainplanner.pro
QMAKE_TARGET  = uktrainplanner
DESTDIR       = build/
TARGET        = build/uktrainplanner

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/ui_chooser.h build/ui_stationchooser.h build/ui_favouritestations.h build/ui_departureboard.h build/ui_servicewindow.h build/ui_departurewidget.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: uktrainplanner.pro  /home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/debug.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtDBus.prl \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtXml.prl \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtCore.prl \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtXmlPatterns.prl \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtNetwork.prl \
		/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile uktrainplanner.pro
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/unix.conf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/common/linux.conf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/qconfig.pri:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/debug.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/qt.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/moc.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/resources.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/uic.prf:
/home/stewart/.madde/0.6.72/sysroots/fremantle-arm-sysroot-10.2010.19-1-slim/usr/share/qt4/mkspecs/features/yacc.prf:

=== desktop/Makefile ===
#############################################################################
# Makefile for building: build/uktrainplanner
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 5 23:03:18 2010
# Project:  ../qtprog.pro
# Template: app
# Command: /home/stewart/qt/qtsdk-2010.02/qt/bin/qmake -spec /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile ../qtprog.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -I../../uktrainplanner -I/home/stewart/qt/qtsdk-2010.02/qt/include/QtCore -I/home/stewart/qt/qtsdk-2010.02/qt/include/QtGui -I/home/stewart/qt/qtsdk-2010.02/qt/include -Ibuild -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-rpath,/home/stewart/qt/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/stewart/qt/qtsdk-2010.02/qt/lib -lQtGui -L/home/stewart/qt/qtsdk-2010.02/qt/lib -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/stewart/qt/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = ../src/qtmain.cpp 
OBJECTS       = build/qtmain.o
DIST          = /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		../qtprog.pro
QMAKE_TARGET  = uktrainplanner
DESTDIR       = build/
TARGET        = build/uktrainplanner

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../qtprog.pro  /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64/qmake.conf /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtCore.prl
	$(QMAKE) -spec /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile ../qtprog.pro
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/home/stewart/qt/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/stewart/qt/qtsdk-2010.02/qt/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /home/stewart/qt/qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile ../qtprog.pro

dist: 
	@$(CHK_DIR_EXISTS) ../build/uktrainplanner1.0.0 || $(MKDIR) ../build/uktrainplanner1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../build/uktrainplanner1.0.0/ && $(COPY_FILE) --parents ../src/qtmain.cpp ../build/uktrainplanner1.0.0/ && (cd `dirname ../build/uktrainplanner1.0.0` && $(TAR) uktrainplanner1.0.0.tar uktrainplanner1.0.0 && $(COMPRESS) uktrainplanner1.0.0.tar) && $(MOVE) `dirname ../build/uktrainplanner1.0.0`/uktrainplanner1.0.0.tar.gz . && $(DEL_FILE) -r ../build/uktrainplanner1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

build/qtmain.o: ../src/qtmain.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/qtmain.o ../src/qtmain.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "build/$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_PROGRAM) /media/Data/uktrainplanner/data/uktrainplanner.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/uktrainplanner.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_PROGRAM) /media/Data/uktrainplanner/data/uktrainplanner.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/uktrainplanner.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_PROGRAM) /media/Data/uktrainplanner/data/64x64/uktrainplanner.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon64:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/uktrainplanner.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 


install:  install_target install_desktop install_service install_icon64  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_service uninstall_icon64   FORCE

FORCE:

=== debian/changelog ===
uktrainplanner (0.1.1) unstable; urgency=low

  * Initial Release.

 -- Stewart Holmes <stewart@stewartholmes.com>  Mon, 05 Apr 2010 23:46:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: uktrainplanner
 Section: user/navigation
 Priority: extra
-Maintainer: Stewart Holmes <stewart@unknown>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5), libgconf2-dev
+Maintainer: Stewart Holmes <stewart@stewartholmes.com>
+Build-Depends: debhelper (>= 5), libqt4-dev, libgconf2-dev
 Standards-Version: 3.7.3
-Homepage: <insert the upstream URL, if relevant>
+Homepage: http://www.stewartholmes.com
 
 Package: uktrainplanner
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-xmlpatterns
 Description: <insert up to 60 chars description>
  <insert long description, indented with spaces>
 # XB-Maemo-Icon-26 field contains the application icon file encoded in
